require_relative "lib/netcity/version.rb"

Gem::Specification.new do |s|
  s.name    = "netcity"
  s.version = NetCity::VERSION
  s.author  = "Glushonkov Ilya"
  s.email   = "pulsar04040@gmail.com"

  s.summary     = 'API клиент для "Сетевого города"'
  s.description = <<~EOF
    API клиент для "Сетевого города". Он позволяет легко взаимодействовать с
    электронным дневником.
  EOF
  s.homepage    = "https://rubygems.org/gems/netcity"
  s.license     = "MIT"
  s.metadata    = {
    "source_code_uri" => "https://github.com/tulen34/netcity"
  }
  s.files       = [
    "bin/netcity",
    "lib/netcity.rb",
    "lib/netcity/netcity.rb",
    "lib/netcity/version.rb",
    "lib/netcity/data.rb",
    "lib/netcity/errors.rb",
    "Gemfile",
    "LICENSE",
    "netcity.gemspec",
    "README.md"
  ]
  s.executable  = "netcity"

  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0")
end
