<center><h2>netcity</h2></center>

[![Gem Version](https://badge.fury.io/rb/netcity.svg)](https://badge.fury.io/rb/netcity)
![Gem](https://img.shields.io/gem/dt/netcity)
[![License](https://img.shields.io/github/license/tulen34/netcity)](https://github.com/tulen34/netcity/blob/main/LICENSE)

**API** клиент для "Сетевого города". Он позволяет легко взаимодействовать с **электронным дневником**. Клиент разрабатывался изначально для **Волгоградской области**, поэтому, возможно, у вас он **может не работать**.

### :hammer_and_wrench: Установка

```sh
gem install netcity
```

Или добавьте в ваш Gemfile эту строку:

```ruby
gem "http"
```

### :book: Пример

```ruby
require 'netcity'

client = NetCity.new('https://sgo.volganet.ru',
                     'Волгоградская обл',
                     'Городской округ Волжский',
                     'Волжский, г.',
                     'Общеобразовательная',
                     'МОУ СШ № 123',
                     'Иванов',
                     '123456789')
client.session do |session|
    puts session.diary
end
```

### :footprints: Прогресс разработки

- [x] Авторизация
- [x] Получение дневника
- [ ] Получение доски объявлений

### :love_letter: Благодарность

Меня вдохновил **[проект другого человека](https://github.com/nm17/netschoolapi)**. Я лишь **адаптировал** его под свой регион и на любимом языке.
